CHARM(1)

NAME
charm - Do Charm stuff

SYNOPSIS
charm [options...] [argument...]

DESCRIPTION

  Do Charm stuff. Run without arguments for a TUI or use the

  sub-commands like a pro.

COMMANDS

backup-keys
    Backup your Charm account keys

OPTIONS
    --o --output keys backup filepath

completion [bash|zsh|fish|powershell]
    Generate shell completion

crypt
    Use Charm encryption.

COMMANDS
    decrypt
        Decrypt stdin with your Charm account encryption key

    decrypt-lookup
        Decrypt arg deterministically

    encrypt
        Encrypt stdin with your Charm account encryption key

    encrypt-lookup
        Encrypt arg deterministically

fs
    Use the Charm file system.

COMMANDS
    cat [charm:]PATH
        Output the content of the file at path.

    cp [charm:]PATH [charm:]PATH
        Copy a file, preface source or destination with "charm:" to specify a remote path.

    OPTIONS
        --r --recursive copy directories recursively

    ls [charm:]PATH
        List file or directory at path

    mv [charm:]PATH [charm:]PATH
        Move a file, preface source or destination with "charm:" to specify a remote path.

    OPTIONS
        --r --recursive move directories recursively

    rm [charm:]PATH
        Remove file or directory at path

    tree [charm:]PATH
        Print a file system tree from path.

help [command]
    Help about any command

id
    Print your Charm ID

import-keys BACKUP.tar
    Import previously backed up Charm account keys.

OPTIONS
    --f --force-overwrite overwrite if keys exist; don’t prompt for input

jwt
    Print a JWT

keys
    Browse or print linked SSH keys

OPTIONS
    --r --randomart print SSH 5.1 randomart for each key (the Drunken Bishop algorithm)

    --s --simple
        simple, non-interactive output (good for scripts)

kv
    Use the Charm key value store.

COMMANDS
    delete KEY[@DB]
        Delete a key with an optional @ db.

    get KEY[@DB]
        Get a value for a key with an optional @ db.

    OPTIONS
        --b --show-binary print binary values

    list [@DB]
        List all key value pairs with an optional @ db.

    OPTIONS
        --d --delimiter delimiter to separate keys and values

        --k --keys-only
            only print keys and don't fetch values from the db

        --r --reverse
            list in reverse lexicographic order

        --b --show-binary
            print binary values

        --v --values-only
            only print values

    reset [@DB]
        Delete local db and pull down fresh copy from Charm Cloud.

    set KEY[@DB] VALUE
        Set a value for a key with an optional @ db.

    sync [@DB]
        Sync local db with latest Charm Cloud db.

link [code]
    Link multiple machines to your Charm account

name [username]
    Username stuff

serve
    Start a self-hosted Charm Cloud server.

OPTIONS
    --data-dir Directory to store SQLite db, SSH keys and file data

    --health-port
        Health port to listen on

    --http-port
        HTTP port to listen on

    --ssh-port
        SSH port to listen on

    --stats-port
        Stats port to listen on

where
    Find where your cloud.charm.sh folder resides on your machine

COPYRIGHT
(C) 2021-2022 Charmbracelet, Inc.

Released under MIT license.